﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS3000C (1 yr) DCV IEEE /9100+S2
INSTRUMENT:            Sub Tek TDS3000C (1 yr) Sample Rate IEEE /9100+S2
DATE:                  2010-06-03 11:02:07
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       13
NUMBER OF LINES:       247
CONFIGURATION:         Datron 9100 (S2)
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        TDS 3012C, TDS 3014C, TDS 3032C, TDS 3034C, TDS 3052C, TDS 3054C
#
#  This procedure contains the following tests whose Test Uncertainty Ratio
#  are less than 4:1.
#        DC VOLTAGE ACCURACY
#              1 mV/div, 100 mV input        TUR 3.1250
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek TDS3000C Channel Select IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Tek TDS3000C Channel Select IEEE

  1.002  JMPL         DCV                           PSUBI("DCV")
  1.003  JMPL         SAMPLE_RATE                   PSUBI("Sample")
  1.004  DISP         Subprocedure not found!
  1.005  END

  1.006  EVAL   Increment step number

# ********************** DC VOLTAGE ************************************

  2.001  LABEL        DCV

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  RSLT         =DC VOLTAGE MEASUREMENT ACCURACY
  2.005  ENDIF

  2.006  RSLT         =
  2.007  RSLT         =Channel [V @Chan]

  2.008  HEAD         DC VOLTAGE MEASUREMENT ACCURACY (CH [V @Chan])
  2.009  HEAD         -2 1 mV/div
  2.010  TARGET       -p
  2.011  TSET         TDESC = 1 mV/div, 100 mV input
  2.012  IEEE2        ACQUIRE:MODE AVERAGE;NUMAVG 16
  2.013  IEEE2        TRIG:MAIN:MODE AUTO;EDGE:SOURCE LINE
  2.014  IEEE2        MEASU:MEAS1:SOURCE1 CH[V @Chan];TYP MEAN;STATE ON
  2.015  IEEE2        CH[V @Chan]:SCA 1E-3;INV OFF;BAN TWE;OFFS 96.5E-3
  2.016  9100         100.00mV                                       SC S
  2.017  WAIT         -t 3 Settling...
  2.018  TARGET       -m
  2.019  IEEE2        MEASU:MEAS1:VAL?[I]
  2.020  MATH         MEM = MEM / 1E-3
  2.021  MEMCX        100.00mV       -0.75U +0.80U
# T.U.R. (0.00075 / 0.00024 = 3.1250) < 4.

  3.001  HEAD         -2 2 mV/div
  3.002  TARGET       -p
  3.003  TSET         TDESC = 2 mV/div, -7 mV input
  3.004  IEEE2        CH[V @Chan]:SCA 2E-3;INV OFF;BAN TWE;OFFS 0
  3.005  9100         -7.000mV                                       SC S
  3.006  WAIT         -t 3 Settling...
  3.007  TARGET       -m
  3.008  IEEE2        MEASU:MEAS1:VAL?[I]
  3.009  MATH         MEM = MEM / 1E-3
  3.010  MEMCX        -7.000mV       0.540U

  4.001  HEAD         -2 5 mV/div
  4.002  TARGET       -p
  4.003  TSET         TDESC = 5 mV/div, -100 mV input
  4.004  IEEE2        CH[V @Chan]:SCA 5E-3;INV OFF;BAN TWE;OFFS -82.5E-3
  4.005  9100         -100.00mV                                      SC S
  4.006  WAIT         -t 3 Settling...
  4.007  TARGET       -m
  4.008  IEEE2        MEASU:MEAS1:VAL?[I]
  4.009  MATH         MEM = MEM / 1E-3
  4.010  MEMCX        -100.00mV      -1.80U +1.76U

  5.001  HEAD         -2 50 mV/div, 1 V input
  5.002  TARGET       -p
  5.003  TSET         TDESC = 50 mV/div, 1 V input
  5.004  IEEE2        CH[V @Chan]:SCA 50E-3:INV OFF;BAN FUL;OFFS 0
  5.005  IEEE2        CH[V @Chan]:OFFS 825E-3
  5.006  9100         1.0000V                                        SC S
  5.007  WAIT         -t 4 Settling...
  5.008  TARGET       -m
  5.009  IEEE2        MEASU:MEAS1:VAL?[I]
  5.010  TOL          -0.0176U  +0.0180U
  5.011  MEMCX        1.0000V        TOL

  6.001  HEAD         -2 50 mV/div, 650 mV input
  6.002  TARGET       -p
  6.003  TSET         TDESC = 50 mV/div, 650 mV input
  6.004  IEEE2        CH[V @Chan]:SCA 50E-3;INV OFF;BAN FUL;OFFS 0
  6.004  IEEE2        CH[V @Chan]:OFFS 825E-3
  6.005  9100         650.0mV                                        SC S
  6.006  WAIT         -t 4 Settling...
  6.007  TARGET       -m
  6.008  IEEE2        MEASU:MEAS1:VAL?[I]
  6.009  MATH         MEM = MEM / 1E-3
  6.010  MEMCX        650.0mV        17.6U

  7.001  HEAD         -2 50 mV delta
  7.002  TARGET       -p
  7.003  TSET         TDESC = 50 mV/div, 350 mV Delta
  7.004  TARGET       -m
  7.005  IEEE2        CH[V @Chan]:SCA 50E-3:INV OFF;BAN FUL;OFFS 0
  7.006  IEEE2        CH[V @Chan]:OFFS 825E-3
  7.007  9100         1.0000V                                        SC S
  7.008  WAIT         -t 4 Settling...
  7.009  IEEE2        MEASU:MEAS1:VAL?[I]
  7.010  MATH         L[1] = MEM / 1E-3
  7.011  IEEE2        CH[V @Chan]:SCA 50E-3;INV OFF;BAN FUL;OFFS 0
  7.011  IEEE2        CH[V @Chan]:OFFS 825E-3
  7.012  9100         650.0mV                                        SC S
  7.013  WAIT         -t 4 Settling...
  7.014  IEEE2        MEASU:MEAS1:VAL?[I]
  7.015  MATH         MEM = MEM / 1E-3
  7.016  MATH         MEM = ABS(L[1] - MEM)
  7.017  MEMCX        350.0mV        9.5U

  8.001  HEAD         -2 90 mV/div
  8.002  TARGET       -p
  8.003  TSET         TDESC = 90 mV/div, -315 mV input
  8.004  IEEE2        CH[V @Chan]:SCA 90E-3;INV OFF;BAN FUL;OFFS 0
  8.005  9100         -315.0mV                                       SC S
  8.006  WAIT         -t 3 Settling...
  8.007  TARGET       -m
  8.008  IEEE2        MEASU:MEAS1:VAL?[I]
  8.009  MATH         MEM = MEM / 1E-3
  8.010  MEMCX        -315.0mV       24.3U

  9.001  HEAD         -2 200 mV/div
  9.002  TARGET       -p
  9.003  TSET         TDESC = 200 mV/div, 10 V input

  9.004  IF           @Bandwidth == 100E+6
  9.005  IEEE2        CH[V @Chan]:SCA 200E-3;INV OFF;BAN FUL;OFFS 9.3
  9.006  ELSE
  9.007  IEEE2        CH[V @Chan]:SCA 200E-3;INV OFF;BAN ONEF;OFFS 9.3
  9.008  ENDIF

  9.009  9100         10.000V                                        SC S
  9.010  WAIT         -t 3 Settling...
  9.011  TARGET       -m
  9.012  IEEE2        MEASU:MEAS1:VAL?[I]
  9.013  MEMCX        10.000V        0.100U

 10.001  HEAD         -2 1 V/div
 10.002  TARGET       -p
 10.003  TSET         TDESC = 1 V/div, -10 V input

 10.004  IF           @Bandwidth == 100E+6
 10.005  IEEE2        CH[V @Chan]:SCA 1;INV ON;BAN FUL;OFFS -6.5
 10.006  ELSE
 10.007  IEEE2        CH[V @Chan]:SCA 1;INV ON;BAN ONEF;OFFS -6.5
 10.008  ENDIF

 10.009  9100         10.000V                                        SC S
 10.010  WAIT         -t 3 Settling...
 10.011  TARGET       -m
 10.012  IEEE2        MEASU:MEAS1:VAL?[I]
 10.013  TOL          -0.300U +0.302U
 10.014  MEMCX        -10.000V       TOL

 11.001  9100         *                                                 S

 11.002  HEAD         -2
 11.003  HEAD
 11.004  END

 11.005  EVAL   Increment step number

# ********************** SAMPLE RATE ************************************

 12.001  LABEL        SAMPLE_RATE
 12.002  RSLT         =
 12.003  RSLT         =SAMPLE RATE AND DELAY TIME ACCURACY
 12.004  TARGET
 12.005  IEEE2        HOR:DELAY:STATE OFF
 12.006  IEEE2        CH1:IMP FIFTY;SCA 500E-3
 12.007  IEEE2        HOR:SCA 20E-3
 12.008  9100         100mT                        1Vpp           MK SC S  L
 12.009  WAIT         [D1000]
 12.010  IEEE2        HOR:TRIG:POS 50
 12.011  IEEE2        HOR:DELAY:STATE ON;TIME 100E-3
 12.012  IEEE2        HOR:SCA 1E-6
 12.013  IEEE2        TRIG:A:SETL
 12.014  MESS         Does the rising edge of the marker cross the center
 12.014  MESS         horizontal graticule line within ±2 divisions of
 12.014  MESS         center graticule?
 12.015  MEM2         = Limit : ±2 div @1 µs/div, 100 ms delay time
 12.016  EVAL   -s MEM2 :

 13.001  MESS
 13.002  9100         *                                                 S

 13.003  HEAD
 13.004  END












